> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debt-wise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payment Plan Payments

> Update a payment plan payment's status



## OpenAPI

````yaml api-reference/openapi.yaml PATCH /api/users/{id}/payment_plans/{payment_plan_id}/payments/{payment_id}
openapi: 3.0.1
info:
  title: DebtWise API
  version: '2024-07-01'
  description: >-
    The DebtWise API suite is the primary means for developers to offer debt
    management tools within their existing applications.
  contact:
    name: DebtWise Support
    url: https://debt-wise.com
    email: support@debt-wise.com
servers:
  - url: https://staging.debt-wise.com
    description: Sandbox server (uses test data)
  - url: https://app.debt-wise.com
    description: Production server (uses live data)
security:
  - bearerAuth: []
tags:
  - name: Ping
  - name: Users
  - name: Accounts
  - name: Credit Scores
  - name: Equifax
  - name: Debt Payoff Plan
  - name: Debt Payoff Plan Payments
  - name: Articles
  - name: Debt Calculator
paths:
  /api/users/{id}/payment_plans/{payment_plan_id}/payments/{payment_id}:
    parameters:
      - $ref: '#/components/parameters/userIdParam'
      - $ref: '#/components/parameters/paymentPlanIdParam'
      - $ref: '#/components/parameters/paymentIdParam'
      - $ref: '#/components/parameters/acceptEncodingParam'
      - $ref: '#/components/parameters/apiVersionParam'
    patch:
      tags:
        - Debt Payoff Plan Payments
      summary: Update Payment Plan Payments
      description: Update a payment plan payment's status
      operationId: updatePaymentPlanPayment
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - status
              properties:
                status:
                  type: string
                  enum:
                    - upcoming
                    - paid
                  example: paid
                  description: The payment plan payment status.
        required: true
      responses:
        '200':
          description: Returns an updated payment plan payment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentPlanPayment'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    userIdParam:
      name: id
      in: path
      schema:
        type: integer
        example: 1
      description: An userId.
      required: true
    paymentPlanIdParam:
      name: payment_plan_id
      in: path
      schema:
        type: integer
        example: 1
      description: An payment plan ID.
      required: true
    paymentIdParam:
      name: payment_id
      in: path
      schema:
        type: integer
        example: 1
      description: An payment plan payment ID.
      required: true
    acceptEncodingParam:
      name: Accept-Encoding
      in: header
      description: We can compress a response with gzip.
      required: false
      schema:
        type: string
        example: gzip deflate
    apiVersionParam:
      name: API-Version
      in: header
      description: API API Version. See Versioning page for more details.
      required: false
      schema:
        type: string
        example: '2024-07-01'
  schemas:
    PaymentPlanPayment:
      type: object
      required:
        - id
        - amount
        - status
        - type
        - payment_date
        - account_id
      properties:
        id:
          type: integer
          example: 1
          description: Payment Plan Payment ID
        amount:
          type: integer
          example: 10000
          description: Payment amount in cents
        status:
          type: string
          enum:
            - upcoming
            - paid
          example: upcoming
          description: Indicates whether payment is paid or upcoming
        type:
          type: string
          enum:
            - minimum
            - priority
            - final
          example: priority
          description: Indicates type of payment.
        payment_date:
          type: string
          example: '2026-06-06'
          description: When payment should be made
        estimated_balance:
          type: integer
          example: 4313500
          description: Expected amount of loan after payment
        estimated_payoff_date:
          type: string
          example: '2031-06-01'
          description: Expected payoff date for the loan
        account_id:
          type: integer
          example: 2
          description: Account ID for which payment should be made
    InternalServerError:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: internal_server_error
              description: An identifier of an error type inside API.
            message:
              type: string
              example: >-
                We've notified our engineers and hope to address this issue
                shortly.
              description: A human-readable error description.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````